Package org.springframework.security.web.savedrequest

# Class SavedCookie

java.lang.Object
org.springframework.security.web.savedrequest.SavedCookie

All Implemented Interfaces:
  `Serializable`

public class SavedCookie extends Object implements Serializable
Stores off the values of a cookie in a serializable holder

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SavedCookie(jakarta.servlet.http.Cookie cookie)`
`SavedCookie(String name, String value, String domain, int maxAge, String path, boolean secure)`
`SavedCookie(String name, String value, String comment, String domain, int maxAge, String path, boolean secure, int version)`
Deprecated, for removal: This API element is subject to removal in a future version.
use `SavedCookie(String, String, String, int, String, boolean)` instead

## Method Summary

Modifier and Type
Method
Description
`String`
`getComment()`
Deprecated, for removal: This API element is subject to removal in a future version.
`jakarta.servlet.http.Cookie`
`getCookie()`
`String`
`getDomain()`
`int`
`getMaxAge()`
`String`
`getName()`
`String`
`getPath()`
`String`
`getValue()`
`int`
`getVersion()`
Deprecated, for removal: This API element is subject to removal in a future version.
`boolean`
`isSecure()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SavedCookie

@Deprecated(forRemoval=true, since="6.1") public SavedCookie(String name, String value, String comment, String domain, int maxAge, String path, boolean secure, int version)
Deprecated, for removal: This API element is subject to removal in a future version.
use `SavedCookie(String, String, String, int, String, boolean)` instead

### SavedCookie

public SavedCookie(String name, String value, String domain, int maxAge, String path, boolean secure)

### SavedCookie

public SavedCookie(jakarta.servlet.http.Cookie cookie)

## Method Details

### getName

public String getName()

### getValue

public String getValue()

### getComment

@Deprecated(forRemoval=true, since="6.1") public String getComment()
Deprecated, for removal: This API element is subject to removal in a future version.

### getDomain

public String getDomain()

### getMaxAge

public int getMaxAge()

### getPath

public String getPath()

### isSecure

public boolean isSecure()

### getVersion

@Deprecated(forRemoval=true, since="6.1") public int getVersion()
Deprecated, for removal: This API element is subject to removal in a future version.

### getCookie

public jakarta.servlet.http.Cookie getCookie()